{
    attributes = (
        {
            allowsNull = Y; 
            columnName = CODEEMPLOI; 
            externalType = VARCHAR2; 
            name = codeEmploi; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = KEY; 
            externalType = VARCHAR2; 
            name = key; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = "KEY_PERE"; 
            externalType = VARCHAR2; 
            name = keyPere; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIBELLE_SEUL"; 
            externalType = VARCHAR2; 
            name = libelleSeul; 
            valueClassName = NSString; 
            width = 2000; 
        }, 
        {
            columnName = NIVEAU; 
            externalType = NUMBER; 
            name = niveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NUMDCP; 
            externalType = VARCHAR2; 
            name = numDcp; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = NUMFP; 
            externalType = VARCHAR2; 
            name = numFp; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORDRE; 
            externalType = VARCHAR2; 
            name = ordre; 
            valueClassName = NSString; 
            width = 4; 
        }
    ); 
    attributesUsedForLocking = (key, keyPere, ordre); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOVReferens"; 
    classProperties = (
        key, 
        keyPere, 
        libelle, 
        libelleSeul, 
        niveau, 
        ordre, 
        toReferensActivites, 
        toReferensCompetences, 
        toReferensDcp, 
        toReferensEmplois, 
        toReferensFp, 
        tosVReferensFils, 
        toVReferensPere
    ); 
    externalName = "GRHUM.V_REFERENS"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkpers_VReferens"; 
    primaryKeyAttributes = (key); 
    relationships = (
        {
            destination = "Fwkpers_ReferensActivites"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = codeEmploi; sourceAttribute = codeEmploi; }, 
                {destinationAttribute = ordre; sourceAttribute = ordre; }
            ); 
            name = toReferensActivites; 
        }, 
        {
            destination = "Fwkpers_ReferensCompetences"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = codeEmploi; sourceAttribute = codeEmploi; }, 
                {destinationAttribute = ordre; sourceAttribute = ordre; }
            ); 
            name = toReferensCompetences; 
        }, 
        {
            destination = "Fwkpers_ReferensDcp"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = numDcp; sourceAttribute = numDcp; }); 
            name = toReferensDcp; 
        }, 
        {
            destination = "Fwkpers_ReferensEmplois"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = codeEmploi; sourceAttribute = codeEmploi; }); 
            name = toReferensEmplois; 
        }, 
        {
            destination = "Fwkpers_ReferensFp"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = numDcp; sourceAttribute = numDcp; }, 
                {destinationAttribute = numFp; sourceAttribute = numFp; }
            ); 
            name = toReferensFp; 
        }, 
        {
            destination = "Fwkpers_VReferens"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = keyPere; sourceAttribute = key; }); 
            name = tosVReferensFils; 
        }, 
        {
            destination = "Fwkpers_VReferens"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = key; sourceAttribute = keyPere; }); 
            name = toVReferensPere; 
        }
    ); 
}
